Storyden
Accounts

Account Warning Create

Create an internal moderation warning for an account. Requires the `MANAGE_WARNINGS` permission.

POST/accounts/{account_id}/warnings

Create an internal moderation warning for an account. Requires the MANAGE_WARNINGS permission.

Authorization

storyden-session<token>

In: cookie

Path Parameters

account_id*string

Account ID.

Formatxid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/accounts/string/warnings" \  -H "Content-Type: application/json" \  -d '{    "reason": "string"  }'
{  "id": "string",  "issued_at": "2019-08-24T14:15:22Z",  "reason": "string",  "issued_by": {    "id": "string",    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "signature": "string",    "roles": [      {        "badge": true,        "default": true,        "id": "string",        "name": "string",        "colour": "string",        "meta": {}      }    ]  }}